Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Class DiagramInputDocumentProvider.DiagramResourceInfo

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.ElementInfo
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.DiagramInputDocumentProvider.DiagramResourceInfo

All Implemented Interfaces:
  IDocumentListener

Enclosing class:
  DiagramInputDocumentProvider

protected class DiagramInputDocumentProvider.DiagramResourceInfo
extends AbstractDocumentProvider.ElementInfo

Bundle of all required information to allow `IStorage` as underlying document resources.

Field Summary
`boolean` `fIsModifiable` The flag representing the cached state whether the storage is modifiable.
`boolean` `fIsReadOnly` The flag representing the cached state whether the storage is read-only.
`DiagramModificationListener` `fListener`
`boolean` `fUpdateCache` The flag representing the need to update the cached flag.

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.ElementInfo
`fCanBeSaved, fCount, fDocument, fElement, fIsStateValidated, fStatus`

Constructor Summary
`DiagramInputDocumentProvider.DiagramResourceInfo(IDocument document, DiagramModificationListener listener)` Creates a new storage info.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocumentProvider.ElementInfo
`documentAboutToBeChanged, documentChanged, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fIsModifiable

    public boolean fIsModifiable

  The flag representing the cached state whether the storage is modifiable.

### fIsReadOnly

    public boolean fIsReadOnly

  The flag representing the cached state whether the storage is read-only.

### fUpdateCache

    public boolean fUpdateCache

  The flag representing the need to update the cached flag.

### fListener

    public DiagramModificationListener fListener

Constructor Detail

### DiagramInputDocumentProvider.DiagramResourceInfo

    public DiagramInputDocumentProvider.DiagramResourceInfo(IDocument document,
                                                            DiagramModificationListener listener)

  Creates a new storage info.

Parameters:
  `document` - the document

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.